<div id='dropdown2' class="ui dropdown icon right attached item" (click)="refreshList()">

  <i class="heart icon" style="color: rgb(165, 57, 79);"></i>

  <div class="menu">
    <a class="item" *ngIf="favouriteLaptops.length === 0">Your favourite laptops will appear here!</a>
    <a class="item"  *ngFor="let laptop of favouriteLaptops;" (click) = "onClick(laptop.name)">
      <i class="pink heart outline icon"></i>
      {{  laptop.name}}
    </a>

  </div>
</div>
